JDK 1.1.1 - segmentation violation

JDK 1.1.1 - segmentation violation

Post by J H Ki » Wed, 11 Jun 1997 04:00:00



This is a multi-part message in MIME format.

--------------7F679AB67C3F74BF7980E590
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

--
Our freedom, or your life!                              <RATM>

--------------7F679AB67C3F74BF7980E590
Content-Type: text/plain; charset=us-ascii; name="temp"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="temp"

Hi everyone

i've downloaded jdk 1.1.1 v3 and it gives out the following error message
when executed. the same thing happened with 1.0.1 and 1.1.1 v1.
the kernel is 2.0.27.

$ bin/javac
SIGSEGV   11*  segmentation violation

Full thread dump:
$ bin/appletviewer
SIGSEGV   11*  segmentation violation

Full thread dump:
Killed

and lib links are as follows

# /sbin/ldconfig -v
/sbin/ldconfig: warning: /usr/lib/libform.so.1.9.6 has inconsistent soname (libform.so.2.0), skipping
/sbin/ldconfig: warning: /usr/lib/libncurses.so.1.9.6 has inconsistent soname (libncurses.so.2.0), skipping
/sbin/ldconfig: warning: /usr/lib/libpanel.so.1.9.6 has inconsistent soname (libpanel.so.2.0), skipping
/sbin/ldconfig: warning: /usr/lib/libhistory.so.2.0 has inconsistent soname (libreadline.so.2), skipping
/sbin/ldconfig: version 1.8.5
/usr/X11R6/lib:
        libXaw3d.so.6 => libXaw3d.so.6.0
        libXtst.so.6 => libXtst.so.6.0
        libXt.so.6 => libXt.so.6.0
        libXmu.so.6 => libXmu.so.6.0
        libXi.so.6 => libXi.so.6.0
        libXext.so.6 => libXext.so.6.0
        libXaw.so.6 => libXaw.so.6.0
        libXIE.so.6 => libXIE.so.6.0
        libX11.so.6 => libX11.so.6.0
        libSM.so.6 => libSM.so.6.0
        libPEX5.so.6 => libPEX5.so.6.0
        libICE.so.6 => libICE.so.6.0
        libXpm.so.4 => libXpm.so.4.6
        libMagick.so.3 => libMagick.so.3.7
/usr/i486-linuxaout/lib:
        libvga.so.1 => libvga.so.1.2.7
        libtk.so.3 => libtk.so.3.1.1
        libtcl.so.3 => libtcl.so.3.1
        libm.so.4 => libm.so.4.6.27
        libdb.so.1 => libdb.so.1.85.1
        libcurses.so.0 => libcurses.so.0.1.2
        libc.so.4 => libc.so.4.7.2
        libXt.so.6 => libXt.so.6.0
        libXt.so.3 => libXt.so.3.1.0
        libXpm.so.4 => libXpm.so.4.2
        libXaw.so.6 => libXaw.so.6.0
        libXaw.so.3 => libXaw.so.3.1.0
        libXIE.so.6 => libXIE.so.6.0
        libX11.so.6 => libX11.so.6.0
        libX11.so.3 => libX11.so.3.1.0
/usr/lib:
        libbfd.so.2.7.0.3 => libbfd.so.2.7.0.3
        libopcodes.so.2.7.0.3 => libopcodes.so.2.7.0.3
        libstdc++.so.27 => libstdc++.so.27.2.1
        libg++.so.27 => libg++.so.27.2.1
        libstdc++.so.26 => libstdc++.so.26.2.5
        libg++.so.26 => libg++.so.26.2.5
        libexpectk.so.5.18 => libexpectk.so.5.18.1
        libexpect.so.5.18 => libexpect.so.5.18.1
        libvgagl.so.1 => libvgagl.so.1.2.8
        libvga.so.1 => libvga.so.1.2.8
        libslang.so.0 => libslang.so.0.99.23
        libdb.so.2 => libdb.so.2.0.0
        libtix.so.4.0 => libtix.so.4.0.1
        libtcl7.4.so.1 => libtcl7.4.so.1
        libtkx.so.400 => libtkx.so.400.0
        libtclx.so.740 => libtclx.so.740.0
        libreadline.so.2 => libreadline.so.2.0
        libtk4.0.so.1 => libtk4.0.so.1
        libtiff.so.3 => libtiff.so.3.4.18
        librle.so.1 => librle.so.1.0.0
        libppm.so.1 => libppm.so.1.0.0
        libpnm.so.1 => libpnm.so.1.0.0
        libpng.so.1 => libpng.so.1.0.71
        libpgm.so.1 => libpgm.so.1.0.0
        libpbm.so.1 => libpbm.so.1.0.0
        libjpeg.so.5 => libjpeg.so.5.0.1
        libgz.so.1 => libgz.so.1.0.93
        libfbm.so.1 => libfbm.so.1.0.0
        libBLT.so.1.8 => libBLT.so.1.8.1
        libp2c.so.1 => libp2c.so.1.2.0
        libbfd.so.2.5.2l.11 => libbfd.so.2.5.2l.11
        libgpm.so.1 => libgpm.so.1.10
        libgdbm.so.2 => libgdbm.so.2.0.0
/lib:
        libpthread.so.0 => libpthread.so.0.5
        libm.so.5 => libm.so.5.0.7
        libcurses.so.1 => libcurses.so.1.0.0
        libdl.so.1 => libdl.so.1.8.5
        libss.so.2 => libss.so.2.0
        libext2fs.so.2 => libext2fs.so.2.0
        libe2p.so.2 => libe2p.so.2.1
        libcom_err.so.2 => libcom_err.so.2.0
        libtermcap.so.2 => libtermcap.so.2.0.8
        libc.so.5 => libc.so.5.4.17

i've searched quite a few places including Java Linux Page and Mailing List
Archives but haven't found any helpful clues.
could anyone help? it's driving me crazy.

Thanks,
Kim

--------------7F679AB67C3F74BF7980E590--